#ifndef HEAD
#define HEAD

// LIBC
    #include <stdio.h>
    #include <limits.h>
    #include <stdlib.h>    

// DEFINE
    #define CHARS_IN_INPUT_MAX 40

// TYPEDEF
     typedef struct{
         unsigned char currCol;
         unsigned char currRow;
         unsigned char nextCol;
         unsigned char nextRow;
         unsigned char whosTurn;
     }__TURN;

// FUNC
    //  === === io.c === ===
        char input_(char *_input, char *charsInInput);
        void print_board(char* _board);

    // === === logic.c === ===
        char match_turn(char currFigure,char whosTurn);
        char match_move(char _board[8][8],__TURN* __turn,char currFigure);
        void move(char _board[8][8],__TURN *__turn);
        int abs(int n);

#endif
